Bug 1170232 - dnf eats newlines from error message
dnf eats newlines from error message
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Honza Silhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-03 09:33 EST by Jan Synacek
Modified: 2014-12-09 13:50 EST (History)
6 users (show)

See Also:
Fixed In Version: dnf-0.6.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-09 13:50:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Synacek 2014-12-03 09:33:06 EST
Description of problem:
I think I have a basic installation.

# dnf groupinstall "Fedora Workstation"
Error: package NetworkManager-wifi-1:0.9.10.0-13.git20140704.fc21.x86_64 requires NetworkManager(x86-64) = 1:0.9.10.0-13.git20140704.fc21, but none of the providers can be installed. package NetworkManager-adsl-1:0.9.10.0-13.git20140704.fc21.x86_64 requires NetworkManager(x86-64) = 1:0.9.10.0-13.git20140704.fc21, but none of the providers can be installed. package firewalld-config-workstation-0.3.12-1.fc21.noarch conflicts with firewalld-config-standard provided by firewalld-config-standard-0.3.12-1.fc21.noarch. package abrt-desktop-2.3.0-3.fc21.x86_64 requires abrt-addon-python, but none of the providers can be installed. package fedora-release-workstation-21-2.noarch conflicts with fedora-release-nonproduct provided by fedora-release-nonproduct-21-2.noarch. package abrt-cli-2.3.0-3.fc21.x86_64 requires abrt-addon-python3, but none of the providers can be installed. package samba-client-2:4.1.12-5.fc21.x86_64 requires libsamba-util.so.0()(64bit), but none of the providers can be installed

The error message here is actually one long line.


Version-Release number of selected component (if applicable):
dnf-0.6.2-1.fc21.noarch


Actual results:
Newlines get eaten and the message is not easily readable.


Expected results:
Newlines are preserved and the message is readable.
Comment 1 Honza Silhan 2014-12-05 12:49:05 EST
Thanks for the report. Fixed in the upstream.

Note You need to log in before you can comment on or make changes to this bug.